/*-
 * %%----------------------------------------------------------------------------------------------
 * Solidify Framework - Solidify Frontend - solidify-frontend-input.module.ts
 * SPDX-License-Identifier: GPL-2.0-or-later
 * %----------------------------------------------------------------------------------------------%
 * Copyright (C) 2017 - 2023 University of Geneva
 * %----------------------------------------------------------------------------------------------%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as
 * published by the Free Software Foundation, either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/gpl-2.0.html>.
 * ----------------------------------------------------------------------------------------------%%
 */

import {NgModule} from "@angular/core";
import {SolidifyFrontendCoreModule} from "../core/solidify-frontend-core.module";
import {FileUploadInputContainer} from "./containers/file-upload-input/file-upload-input.container";
import {KeywordInputPresentational} from "./presentationals/keyword-input/keyword-input.presentational";
import {SearchInputPresentational} from "./presentationals/search-input/search-input.presentational";
import {UrlInputNavigationPresentational} from "./presentationals/url-input-navigation/url-input-navigation.presentational";

const containers = [
  FileUploadInputContainer,
];

const presentationals = [
  KeywordInputPresentational,
  SearchInputPresentational,
  UrlInputNavigationPresentational,
];

const components = [
  ...containers,
  ...presentationals,
];

const modules = [
  SolidifyFrontendCoreModule,
];

@NgModule({
  declarations: [
    ...components,
  ],
  imports: [
    ...modules,
  ],
  exports: [
    ...modules,
    ...components,
  ],
  providers: [],
})
export class SolidifyFrontendInputModule {
}
